### Method

# RB AutoPlaylistSource set_query

#### Declaration [src]

    void
    rb_auto_playlist_source_set_query (
      RBAutoPlaylistSource* source,
      GPtrArray* query,
      RhythmDBQueryModelLimitType limit_type,
      GVariant* limit_value,
      const char* sort_key,
      gint sort_order
    )

#### Description [src]

Sets the database query used to populate the playlist, and also the limit on playlist size, and the sorting type used.

This method is not directly available to language bindings.

#### Parameters

`query`

  Type: An array of `gpointer`

  The new database query.

  The data is owned by the caller of the method.

`limit_type`

  Type: `RhythmDBQueryModelLimitType`

  The playlist limit type.

`limit_value`

  Type: `GVariant`

  The playlist limit value.

  The data is owned by the caller of the method.

`sort_key`

  Type: `const char*`

  The sorting key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sort_order`

  Type: `gint`

  The sorting direction (as a `GtkSortType`).